Subject: Re: Compatibility problem: Cygwin make and makefile filename case
From: Earnie Boyd <[email-masked]>
To: Frank Ellert <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Nov 2000 13:27:11 -0800 (PST)

--- Frank Ellert <[email-masked]> wrote:
> 
> Sorry, I'm no MS-Windows expert.  All I can tell you:
> 
>   a) If you call a makefile "Makefile", zip and unzip it on Windows
>      98, DJGPP ls shows it as "Makefile" and Cygnus make finds it.
>      All fine.
> 
>   b) If you call a makefile "makefile", zip and unzip it on Windows
>      98, DJGPP ls shows it as "makefile" but Cygnus make doesn't find
>      it.  Trouble.  (DJGPP make finds it.)
> 
> In b) dir shows the file as "MAKEFILE".  You can of course rename the
> file to "makefile" ("mv MAKEFILE foo; mv foo makefile") and then
> Cygnus make is able to find it.
> 

So, if I had a Cygwin compatible unarchiver would it name the file makefile
instead of MAKEFILE?  Most likely, yes.  The real issue here is the means by
which you unarchive the file.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Shopping - Thousands of Stores. Millions of Products.
http://shopping.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]